| http://www.sim.no/ http://www.coin3d.org/

Classes | Typedefs
SoDragger.h File Reference
`#include <Inventor/nodekits/SoInteractionKit.h>`
`#include <Inventor/tools/SbPimplPtr.h>`
`#include <Inventor/fields/SoSFBool.h>`
`#include <Inventor/lists/SoCallbackList.h>`
`#include <Inventor/SbMatrix.h>`
`#include <Inventor/SbVec3f.h>`
`#include <Inventor/SbVec2s.h>`
`#include <Inventor/SbViewVolume.h>`
`#include <Inventor/SbViewportRegion.h>`
`#include <Inventor/nodes/SoScale.h>`

Go to the source code of this file.

## Classes

class | SoDragger
| The SoDragger class is the base class for all draggers.Draggers is a mechanism used for letting the end-users of your application code interact with elements in 3D, by scaling, rotating or translating geometry or other instances in the scene (like cameras or lightsources). More...

## Typedefs

typedef void | SoDraggerCB(void *data, SoDragger *dragger)

## Typedef Documentation

## ◆ SoDraggerCB

typedef void SoDraggerCB(void *data, SoDragger *dragger)

Callback definition for draggers

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.